package cs202.account;

public class CheckingAccount extends Account {

    public CheckingAccount( String owner )
    {
        this( owner, 0 );
    }

    public CheckingAccount( String owner, double balance )
    {
        super( owner, balance );
    }

    /**
     * Override the toString() method in Account.
     */
    public String toString()
    {
        return "A CheckingAccount with balance " + balance() + ".";
    }

    public static void main( String args[] )
    {
        CheckingAccount a = new CheckingAccount( "cysun" );
        a.deposit( 100 );
        a.withdraw( 10 );
        System.out.println( a );
    }

} // end of class CheckingAccount
